Автор Тема: Отрубился сайт (  (Прочитано 319 раз)

26 Июня 2014, 13:28:37
  • Новичок
  • *
  • Сообщений: 19
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Добрый день надеюсь на вашу помощь

1)  Купил и установил модуль   OnePageCheckOut
2)  загрузил его и хотел установить и  выбило

[PrestaShop] Fatal error in module Module:
Uncaught exception 'ReflectionException' with message 'Class AddressOverrideOriginal_remove53abe766580b0 does not exist' in /home/c/cl196180/public_html/classes/module/Module.php:2328 Stack trace: #0 /home/c/cl196180/public_html/classes/module/Module.php(2328): ReflectionClass->__construct('AddressOverride...') #1 /home/c/cl196180/public_html/classes/module/Module.php(2237): ModuleCore->removeOverride('Address') #2 /home/c/cl196180/public_html/classes/module/Module.php(272): ModuleCore->uninstallOverrides() #3 /home/c/cl196180/public_html/modules/advancedcheckout/advancedcheckout.php(119): ModuleCore->install() #4 /home/c/cl196180/public_html/controllers/admin/AdminModulesController.php(836): advancedcheckout->install() #5 /home/c/cl196180/public_html/controllers/admin/AdminModulesController.php(1006): AdminModulesControllerCore->postProcessCallback() #6 /home/c/cl196180/public_html/classes/controller/Controller.php(171): AdminModulesControllerCore->postProcess() #7 /home/c/cl196180/public_html/classes/Dispat

После попробовал установить на другом  сайте  там все нормально получилось  версия престы на них одинаковая    потом удалил на том захотел еще раз установить и тоже самое вышло 

Помогите  пж ((((((( Очень надеюсь на ващу помощь !!!!
26 Июня 2014, 14:02:13
Ответ #1
  • Ветеран
  • *****
  • Сообщений: 13284
  • Репутация: +14557/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Много раз писали про этот модуль, что он не нужен. Создает кучу проблем. Модуль сделан не профессионально.
При установки он замещает базовые классы, а при удалении он не восстанавливает стандарные файлы. Выход только одни, находить изменения и чистить в ручную.
Если у вас уже были замещены базовые файлы, то его не установить. Это такие ошибки как  "...Override...".
Ставить модуль нужно на стандарную версию prestashop.
26 Июня 2014, 14:21:57
Ответ #2
  • Новичок
  • *
  • Сообщений: 19
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Просто   нужна нормальная  удобная корзина поэтому приходиться (((
 а если заменять файлы с чистой престы      на моем сайте информация не потеряеться ?
26 Июня 2014, 14:26:16
Ответ #3
  • Модератор
  • Ветеран
  • *****
  • Сообщений: 86053
  • Репутация: +25403/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Информация - если про контент пишите, тогда не потеряется. Но сайт может перестать работать.
26 Июня 2014, 15:52:35
Ответ #4
  • Новичок
  • *
  • Сообщений: 19
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Сейчас меняю все    замененные файлы с чистой престы ,  позже отпишусь скажу что получилось ) надеюсь все на место станет